%define name python-geoip
%define version 1.2.8
%define release %mkrel 3
%define oname GeoIP-Python

Summary: Python bindings for the GeoIP library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://geolite.maxmind.com/download/geoip/api/python/%{oname}-%{version}.tar.gz
URL: http://www.maxmind.com/app/python
License: BSD-like
Group: Development/Python
BuildRequires: python-devel
BuildRequires: geoip-devel

%description
This is the Python API to the GeoIP library that enables the user to
find the country that any IP address or hostname originates from. It
uses a file based database that is accurate as of March 2003. This
database simply contains IP blocks as keys, and countries as
values. This database should be more complete and accurate than using
reverse DNS lookups. Commercial databases and automatic update
services are available from http://www.maxmind.com/

%prep
%setup -q -n %oname-%version

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root=$RPM_BUILD_ROOT

%files
%doc README
%py_platsitedir/*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.2.8-3.mga4
+ Revision: 543540
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2.8-2.mga4
+ Revision: 498661
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 25 2013 philippem <philippem> 1.2.8-1.mga4
+ Revision: 471685
- Update to 1.2.8

* Sun Jan 13 2013 umeabot <umeabot> 1.2.7-2.mga3
+ Revision: 378891
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 philippem <philippem> 1.2.7-1.mga3
+ Revision: 329810
- Update to 1.2.7

  + ahmad <ahmad>
    - Replace libgeoip-devel with geoip-devel

* Wed Jun 15 2011 ahmad <ahmad> 1.2.5-1.mga2
+ Revision: 106353
- Update to 1.2.5
- Replace the deprecated %%py_requires macro with BR python-devel
- imported package python-geoip


* Mon Nov 01 2010 Götz Waschk <waschk@mandriva.org> 1.2.4-2mdv2011.0
+ Revision: 591473
- rebuild for new python 2.7

* Thu Jun 25 2009 Götz Waschk <waschk@mandriva.org> 1.2.4-1mdv2011.0
+ Revision: 388906
- update to new version 1.2.4

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 1.2.1-7mdv2009.1
+ Revision: 320169
- rebuild for new python

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 1.2.1-6mdv2009.0
+ Revision: 259614
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 1.2.1-5mdv2009.0
+ Revision: 247417
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-3mdv2007.0
+ Revision: 88299
- bot rebuild
- Import python-geoip

* Tue Nov 28 2006 Gtz Waschk <waschk@mandriva.org> 1.2.1-2mdv2007.1
- update file list

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdk
- New release 1.2.1

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 1.2.0-2mdk
- Rebuild for new python

* Thu Feb 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.0-1mdk
- new version

